Bug 852260 - AFFECT_CURRENT flag does not work well in set_scheduler_parameters when domain is shutoff
AFFECT_CURRENT flag does not work well in set_scheduler_parameters when domai...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 23:44 EDT by weizhang
Modified: 2013-02-21 02:22 EST (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:22:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weizhang 2012-08-27 23:44:13 EDT
Description of problem:
ith flag Sys::Virt::Domain::AFFECT_CURRENT, set_scheduler_parameters can not work well when domain is shutoff

Version-Release number of selected component (if applicable):
perl-Sys-Virt-0.9.10-4.el6.x86_64
libvirt-0.10.0-0rc1.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. # cat perl-test.pl
#!/usr/bin/perl
use warnings;
use strict;
use Sys::Virt;

my $uri = "qemu:///system";
my $domname = "guest2";
my $con = Sys::Virt->new(address => $uri, readonly => 0);
my $dom = $con->get_domain_by_name($domname);
my %sched_param = (Sys::Virt::Domain::SCHEDULER_CPU_SHARES=>1);
$dom->set_scheduler_parameters(\%sched_param, Sys::Virt::Domain::AFFECT_CURRENT);

2. Destroy domain guest2
3. Run # perl perl-test.pl

  
Actual results:
report error
libvirt error code: 55, message: Requested operation is not valid: domain is not running


Expected results:
Should work without error

Additional info:
When domain is shutoff, virsh command works well
# virsh schedinfo guest2 --current cpu_shares=1
Scheduler      : posix
cpu_shares     : 1
vcpu_period    : 0
vcpu_quota     : 0
emulator_period: 0
emulator_quota : 0
Comment 1 Alex Jia 2012-08-27 23:46:31 EDT
Patch on upstream and wait for review:

https://www.redhat.com/archives/libvir-list/2012-August/msg01763.html
Comment 2 Daniel Berrange 2012-09-26 07:18:02 EDT
This inconsistency is a bug in the libvirt QEMU driver, not the Perl bindings.
Comment 3 Daniel Berrange 2012-09-26 07:18:16 EDT
Posted a patch for libvirt

https://www.redhat.com/archives/libvir-list/2012-September/msg01764.html
Comment 8 weizhang 2012-10-16 07:31:18 EDT
verify pass on
libvirt-0.10.2-3.el6.x86_64
perl-Sys-Virt-0.10.2-2.el6.x86_64
qemu-kvm-0.12.1.2-2.322.el6.x86_64
kernel-2.6.32-329.el6.x86_64

cpu_shares can be set when domain is shutoff
Comment 9 errata-xmlrpc 2013-02-21 02:22:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.